SDL Library Documentation
Prev |  | Next

# SDL_SetModState

## Name

SDL_SetModState -- Set the current key modifier state

## Synopsis

    #include "SDL.h"

``void SDL_SetModState`(SDLMod modstate);`

## Description

The inverse of `SDL_GetModState`, `SDL_SetModState` allows you to impose modifier key states on your application.

Simply pass your desired modifier states into `modstate`. This value my be a logical OR'd combination of the following:

    typedef enum {
      KMOD_NONE  = 0x0000,
      KMOD_LSHIFT= 0x0001,
      KMOD_RSHIFT= 0x0002,
      KMOD_LCTRL = 0x0040,
      KMOD_RCTRL = 0x0080,
      KMOD_LALT  = 0x0100,
      KMOD_RALT  = 0x0200,
      KMOD_LMETA = 0x0400,
      KMOD_RMETA = 0x0800,
      KMOD_NUM   = 0x1000,
      KMOD_CAPS  = 0x2000,
      KMOD_MODE  = 0x4000,
    } SDLMod;

## See Also

`SDL_GetModState`

Prev | Home | Next
SDL_GetModState | Up | SDL_GetKeyName